# $Revision: 1.29 $, $Date: 2004/05/07 00:41:49 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Alias - aliasing Perl data for convenient access
Summary(pl):	Alias - aliasowanie danych w Perlu dla wygodniejszego dostpu
Name:		perl-Alias
Version:	2.32
Release:	9
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Alias/Alias-%{version}.tar.gz
# Source0-md5:	74aee28a4a20e643dd7656c6d8096aa8
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Alias module provides general mechanisms for aliasing Perl data for
convenient access.

%description -l pl
Modu Perla Alias udostpnia oglne mechanizmy suce do aliasowania
danych w Perlu dla wygodniejszego dostpu.

%prep
%setup -q -n Alias-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README Todo

%{perl_vendorarch}/Alias.pm

%dir %{perl_vendorarch}/auto/Alias
%{perl_vendorarch}/auto/Alias/Alias.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Alias/Alias.so

%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Alias.spec,v $
Revision 1.29  2004/05/07 00:41:49  ankry
- rel. 9

Revision 1.28  2004/05/06 18:09:13  ankry
- fixed perl-devel BR

Revision 1.27  2004/04/26 13:39:09  ankry
- added tests

Revision 1.26  2004/04/17 05:46:22  ankry
- license fixes

Revision 1.25  2003/09/09 10:24:25  ankry
- spaces -> tab

Revision 1.24  2003/08/18 08:08:26  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.23  2003/05/28 13:00:19  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.20  2003/03/01 17:41:59  radek
- should be ready for perl-5.8.0; release++

Revision 1.19  2003/02/25 00:35:47  radek
- use the __perl macro

Revision 1.18  2003/02/18 15:25:38  ankry
- massive attack: change CPAN URLs

Revision 1.17  2002/09/02 15:48:47  kloczek
- relase 7: use new %doc and merge translations from Conectiva.

Revision 1.16  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/02/25 00:27:44  kloczek
- release 6.

Revision 1.14  2002/02/22 23:29:24  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/10 15:24:04  depesz
adapterized

Revision 1.12  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/04/17 12:05:02  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2000/12/13 17:45:49  kloczek
- release 4: rebuild against perl 5.6 and added using new rpm automation.

Revision 1.8  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/16 22:13:20  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:07  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 13:36:54  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
